org.apache.xml.dtm

## Class DTMDOMException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.w3c.dom.DOMException
        - - org.apache.xml.dtm.DTMDOMException

All Implemented Interfaces:
  java.io.Serializable

    public class DTMDOMException
    extends DOMException

Simple implementation of DOMException. %REVIEW% Several classes were implementing this internally; it makes more sense to have one shared version.

See Also:
  Serialized Form
Usage:
  **For internal use only**

### Field Summary

### Fields inherited from class org.w3c.dom.DOMException

`code, DOMSTRING_SIZE_ERR, HIERARCHY_REQUEST_ERR, INDEX_SIZE_ERR, INUSE_ATTRIBUTE_ERR, INVALID_ACCESS_ERR, INVALID_CHARACTER_ERR, INVALID_MODIFICATION_ERR, INVALID_STATE_ERR, NAMESPACE_ERR, NO_DATA_ALLOWED_ERR, NO_MODIFICATION_ALLOWED_ERR, NOT_FOUND_ERR, NOT_SUPPORTED_ERR, SYNTAX_ERR, TYPE_MISMATCH_ERR, VALIDATION_ERR, WRONG_DOCUMENT_ERR`

### Constructor Summary

Constructors
Constructor and Description
`DTMDOMException(short code)` Constructor DTMDOMException
`DTMDOMException(short code, java.lang.String message)` Constructs a DOM/DTM exception.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DTMDOMException

    public DTMDOMException(short code,
                   java.lang.String message)

Constructs a DOM/DTM exception.

Parameters:
  `code` -
  `message` -

#### DTMDOMException

    public DTMDOMException(short code)

Constructor DTMDOMException

Parameters:
  `code` -